For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
            • GETList Themes
            • POSTUpload Theme
            • GETGet Theme
            • DELDelete Theme
              • GETGet Theme Configuration
              • POSTValidate Theme Configuration
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentThemesTheme Configurations

Validate Theme Configuration

POST
https://api.bigcommerce.com/stores/:store_hash/v3/themes/:uuid/configurations/validate
POST
/stores/:store_hash/v3/themes/:uuid/configurations/validate
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/themes/uuid/configurations/validate \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
Validates a theme configuration against the theme's schema without creating it. Useful for testing schemas before creation.
Was this page helpful?
Previous

Get Theme Configuration

Next

List Custom Templates

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Themesmodifystore_themes_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

uuidstringRequired
The theme identifier.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
variation_idstringOptional
The Variation to which the Configuration belongs.
settingsobjectOptional
The content of the configuration, which is a JSON object which will vary in structure from theme to theme.

Response

Theme passes validation.

Errors

422
Unprocessable Entity Error